elgg怎么安装

换了个开源微博系统,与其说是微博系统,不如说是一个内核加各种插件。先说安装过程吧。

基于apache+php+linux(我自己的是centos)+mysql。由于之前安装了apache和mysql,还有lumanager,因此有些安装包版本冲突,就卸载了LuNamp。

随后碰到的 问题是php版本低,把版本从5.3.5升级到5.5.0。设置好apache服务器的网站根目录,就开始打开localhost本地网址。

结果首先出现的问题是:

先是php设置PATH,php composer的问题。yum就可以。
版本过低,这个是之前提到的问题,修改了。

然后提示DOMDocument.php找不到类,然后上网搜了搜,这类问题比较多,很好解决。

之后好了,页面出现了个php的extension包pdo_mysql和gd包不存在的问题,很简单,直接yum install了就可以了。

还有个问题是说网页动态问题:rewrite,这个是因为httpd.conf中的AllowOverride None的问题,把None改为all就可以了。

圈主 管理员

热门评论
:
🔗    分享自己所知,让大家少走弯路
该帖子评论已关闭
图片审查中...
编辑答案: 我的回答: 最多上传一张图片和一个附件
x
x
个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
搜索